#include <iostream>
#include <bits/stdc++.h>

using namespace std;
long long prebroji(long long a[], long long n, long long j){
    long long br = 0;
    long long i;
    for(i = 0; i < n; i++){
        if(j == a[i])
        br++;}
    return br;
    }
int main()
{

    long long n, i, k, j;
    long long p = 0;
    cin >> n >> k;
    long long a[n], b[n];
    for(i = 0; i < n; i++)
        cin >> a[i];


    if(k == 1){
        cout << n << endl;
        for(i = 0; i < n; i++)
        cout << a[i] << " ";}

    else{
    for(j = -n; j <= n; j++){
        if(prebroji(a, n, j) >= k){


        p++;
        }

        }

    cout << p << endl;

    for(j = -n; j <= n; j++){
        if(prebroji(a, n, j) >= k){
        cout << j << " ";

        }

        }}




    return 0;
}